aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/lfs.sh b/lfs.sh
index 9a8a4f1..6f46443 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
set -u
clear
@@ -51,7 +52,7 @@ printf "%b" "${GRN}Creating LFS directory at ${YLW}${LFS}${GRN}${RST}... "
if [[ -d "${LFS}" ]]; then
success "EXISTS"
else
- if ! mkdir "${LFS}" >/dev/null 2>&1; then
+ if ! sudo mkdir "${LFS}" >/dev/null 2>&1; then
fail "FAILED!"
exit 1
fi
@@ -85,7 +86,7 @@ if [[ ! -f "${LFS}"/sources/limited ]]; then
fi
case $(uname -m) in
- x86_64) mkdir -p "${LFS}"/lib64 ;;
+ x86_64 | aarch64) mkdir -p "${LFS}"/lib64 ;;
esac
# Will use normal user and not special lfs user
@@ -140,7 +141,7 @@ done
printf "%b" "\n${IWHT}======= ${IYLW}Chapter 6 ${IGRN}Cleanup and Backup \
${IWHT}=======${RST}\n"
source chapter6/cleanup.sh
-source chapter6/backup.sh
+#source chapter6/backup.sh
# Prepare chroot scripts to be executable for owner, group and others
chmod ugo+x preparechroot.sh
@@ -180,7 +181,7 @@ ${IWHT}=======${RST}\n"
# shellcheck source=chapter7/cleanup.sh
source "${LFS}"/sources/chapter7/cleanup.sh
# shellcheck source=chapter7/backup.sh
- source "${LFS}"/sources/chapter7/backup.sh
+ #source "${LFS}"/sources/chapter7/backup.sh
else
exit "$retval"
fi
@@ -217,7 +218,7 @@ ${IWHT}=======${RST}\n"
# shellcheck source=chapter8/cleanup.sh
source "${LFS}"/sources/chapter8/cleanup.sh
# shellcheck source=chapter8/backup.sh
- source "${LFS}"/sources/chapter8/backup.sh
+ #source "${LFS}"/sources/chapter8/backup.sh
else
exit "$retval"
fi